-- ambush

function Variables() 
	SetIGlobalVar("Mission0", 0); 				-- briefing
	SetIGlobalVar("Mission1", 0);  			-- recon
	SetIGlobalVar("Mission2", 0); 				-- make it to town
	SetIGlobalVar("Mission3", 0); 				-- repel attack
	SetIGlobalVar("Mission4", 0);                          -- flee
	Suicide();
end;

-------------------------------------
function Init()
	RunScript("DebugView", 500); 			
	RunScript("RevealObjective0",1000);  		
	RunScript("ToWin",2000);
	RunScript("ToBeDefeated", 1000);
end;

function DebugView()
	ShowActiveScripts();  					
	Password("Panzerklein") 				
	Suicide(); 						
end;  								
---------------------------------------
function RevealObjective0()  -- briefing
	ObjectiveChanged(0, 0); 				
	SetIGlobalVar("Mission0", 0); 				
	DisplayTrace("Map is running");  	
	RunScript("Objective0Complete", 15000);  		
	Suicide();
end;

function Objective0Complete() -- briefing
		ObjectiveChanged(0, 1);  			
		SetIGlobalVar("Mission0", 1); 	
		LandReinforcement(100);	
		RunScript("Repair40", 1300);
		RunScript("Repair50", 1400);
		RunScript("Repair60", 1500);
		 RunScript("RevealObjective1", 4000); 	
		 Suicide(); 						
								
end;									

--------------------------- 
function RevealObjective1()  		-- recon			
	ObjectiveChanged(1, 0);				
	SetIGlobalVar("Mission1", 0);	
	RunScript("Objective1Complete",3000);
	Suicide();							
end;									

function Objective1Complete() 	-- recon		
	if GetNUnitsInScriptGroup(100) < 2 then  
		ObjectiveChanged(1, 1); 			
		SetIGlobalVar("Mission1", 1);			
		RunScript("RevealObjective2", 5000); 
		LandReinforcement(200);
		LandReinforcement(201);
		Suicide();						
	end;								
end;									

----------------------- 
function RevealObjective2()  	-- now make it to the village				
	ObjectiveChanged(2, 0);				
	SetIGlobalVar("Mission2", 0);				
	RunScript("Engineercheck",3000);
	RunScript("Objective2Complete", 2000);
	Suicide();							
end;									

function Engineercheck()
	if GetNUnitsInScriptGroup(201) < 1 then
	DisplayTrace("Hai perso l'unico camion dei genieri. Non puoi completare la missione");
	Loose();
	Suicide();
	end;
end;

function Objective2Complete() -- get to the village		
	if GetNScriptUnitsInArea(201, "Safe") > 0 then  	
		ObjectiveChanged(2, 1); 			
		SetIGlobalVar("Mission2", 1);	
		RunScript("RevealObjective3", 3000);
		Suicide();						
	end;								
end;									

----------------------- 
function RevealObjective3()  	-- 				
	ObjectiveChanged(3, 0);				
	SetIGlobalVar("Mission3", 0);	
	RunScript("CounterAttack1", 8000);
	Suicide();							
end;									

function CounterAttack1()
	if GetNScriptUnitsInArea(201, "Safe") > 0 then
	LandReinforcement(1300);
	LandReinforcement(1310);
	RunScript("Counterattack2", 2000);
	Suicide();
	end;
end;

function Counterattack2()
	LandReinforcement(1400);
	LandReinforcement(1410);
	RunScript("Objective3Complete", 4000);
	Suicide();
end;

function Objective3Complete() -- 		
	if GetNUnitsInScriptGroup(1300) and GetNUnitsInScriptGroup(1400) < 2 then  	
		ObjectiveChanged(3, 1); 			
		SetIGlobalVar("Mission3", 1);	
		RunScript("RevealObjective4", 2000);
		Suicide();						
	end;								
end;	
-----------------------------------------------
 function RevealObjective4()  	-- 	flee			
	ObjectiveChanged(4, 0);				
	SetIGlobalVar("Mission4", 0);	
	RunScript("Objective4Complete", 8000);
	Suicide();							
end;	
 
function Objective4Complete() -- 	flee	
	if GetNScriptUnitsInArea(40, "Flee") == 1 and GetNScriptUnitsInArea(50, "Flee") == 1 and GetNScriptUnitsInArea(50, "Flee") == 1 then  	
		ObjectiveChanged(4, 1); 			
		SetIGlobalVar("Mission4", 1);	
		Suicide();						
	end;								
end;	
 
-------------------
function ToWin() 
	if GetIGlobalVar("Mission0", 0) == 1 and GetIGlobalVar("Mission1", 0) == 1 and GetIGlobalVar("Mission2", 0) == 1 and GetIGlobalVar("Mission3", 0) == 1 and GetIGlobalVar("Mission4", 0) == 1 then  
	Win(0);  							
		Suicide();						
	end;								
end; 									

function ToBeDefeated()  
	if GetNUnitsInParty(0) < 2 then 			
	Loose(0);							
	Suicide();							
 	end;								
end;	

function Repair40()
	if GetNScriptUnitsInArea(201, "40fix") > 0 then
	ChangePlayer(40, 0);
	DisplayTrace("Il Camion n. 1 adesso pu muoversi. Riparalo e passa al prossimo");
	RunScript("Check40", 2000);
	Suicide();
	end;
end;

function Check40()
	if GetNUnitsInScriptGroup(40) < 1 then
	DisplayTrace("Ti servono tutti e tre i camion");
	Loose();
	Suicide();
	end;
end;

function Repair50()
	if GetNScriptUnitsInArea(201, "50fix") > 0 then
	ChangePlayer(50, 0);
	DisplayTrace("Il Camion n. 2 adesso pu muoversi. Riparalo e passa al prossimo");
	RunScript("Check50", 3000);
	Suicide();
	end;
end;

function Check50()
	if GetNUnitsInScriptGroup(50) < 1 then
	DisplayTrace("Ti servono tutti e tre i camion");
	Loose();
	Suicide();
	end;
end;

function Repair60()
	if GetNScriptUnitsInArea(201, "60fix") > 0 then
	ChangePlayer(60, 0);
	DisplayTrace("Il Camion n. 3 adesso pu muoversi. Riparalo e passa al prossimo");
	RunScript("Check60", 4000);
	Suicide();
	end;
end;

function Check60()
	if GetNUnitsInScriptGroup(60) < 1 then
	DisplayTrace("Ti servono tutti e tre i camion");
	Loose();
	Suicide();
	end;
end;
								

